aboutsummaryrefslogtreecommitdiff
path: root/src/test/zero_length_keys.sh
diff options
context:
space:
mode:
authorSebastian Hahn <sebastian@torproject.org>2015-02-11 21:43:41 +0100
committerNick Mathewson <nickm@torproject.org>2015-02-11 15:59:34 -0500
commitdfb409b8b0b9bfcc4531e0a41b1924d55128c991 (patch)
tree6bfd40e8d72c404f159db198589a047959b38a37 /src/test/zero_length_keys.sh
parentc5f176b9b0199b63ac55a5f833766dfe027f28b1 (diff)
downloadtor-dfb409b8b0b9bfcc4531e0a41b1924d55128c991.tar.gz
tor-dfb409b8b0b9bfcc4531e0a41b1924d55128c991.zip
Put error messages to stderr
Thanks weasel :) Also remove stray debug output
Diffstat (limited to 'src/test/zero_length_keys.sh')
-rwxr-xr-xsrc/test/zero_length_keys.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/src/test/zero_length_keys.sh b/src/test/zero_length_keys.sh
index eca750c956..81ba3e0e17 100755
--- a/src/test/zero_length_keys.sh
+++ b/src/test/zero_length_keys.sh
@@ -27,12 +27,11 @@ fi
DATA_DIR=`mktemp -d -t tor_zero_length_keys.XXXXXX`
if [ -z "$DATA_DIR" ]; then
- echo "Failure: mktemp invocation returned empty string"
+ echo "Failure: mktemp invocation returned empty string" >&2
exit 3
fi
if [ ! -d "$DATA_DIR" ]; then
- echo "$DATA_DIR"
- echo "Failure: mktemp invocation result doesn't point to directory"
+ echo "Failure: mktemp invocation result doesn't point to directory" >&2
exit 3
fi
trap "rm -rf '$DATA_DIR'" 0
@@ -43,7 +42,7 @@ TOR="./src/or/tor --hush --DisableNetwork 1 --ShutdownWaitLength 0 --ORPort 1234
if [ -s "$DATA_DIR"/keys/secret_id_key ] && [ -s "$DATA_DIR"/keys/secret_onion_key ] &&
[ -s "$DATA_DIR"/keys/secret_onion_key_ntor ]; then
- echo "Failure: Previous tor keys present in tor data directory"
+ echo "Failure: Previous tor keys present in tor data directory" >&2
exit 3
else
echo "Generating initial tor keys"